tazwok rev 307

Better display for check-incomin); changer my mind about thoses exit 1.
author Antoine Bodin <gokhlayeh@slitaz.org>
date Fri Feb 18 02:09:34 2011 +0100 (2011-02-18)
parents 24c8784710f7
children 47ee83c8f97a
files tazwok
line diff
     1.1 --- a/tazwok	Fri Feb 18 01:40:41 2011 +0100
     1.2 +++ b/tazwok	Fri Feb 18 02:09:34 2011 +0100
     1.3 @@ -1891,15 +1891,17 @@
     1.4  
     1.5  check_for_incoming()
     1.6  {
     1.7 +	report step "Check that all packages were cooked fine"
     1.8  	[ -s $INCOMING_REPOSITORY/packages.desc ] || {
     1.9  	echo "No packages in $INCOMING_REPOSITORY."
    1.10 -	return; }
    1.11 +	report end-step; return; }
    1.12  	if [ -s $PACKAGES_REPOSITORY/broken ]; then
    1.13  		missingpkg=$(look_for_missing_pkg broken)
    1.14  		if [ "$missingpkg" ]; then
    1.15  			echo "Don't move incoming packages to main repository because theses ones are broken:" >&2
    1.16  			echo "$missingpkg"
    1.17 -			exit 1
    1.18 +			report end-step	
    1.19 +			return 1
    1.20  		fi
    1.21  	fi
    1.22  	if [ -s $PACKAGES_REPOSITORY/cooklist ]; then
    1.23 @@ -1907,7 +1909,8 @@
    1.24  		if [ "$missingpkg" ]; then
    1.25  			echo "Don't move incoming packages to main repository because theses ones needs to be cooked:" >&2
    1.26  			echo "$missingpkg"
    1.27 -			exit 1
    1.28 +			report end-step	
    1.29 +			return 1
    1.30  		fi
    1.31  	fi
    1.32  	incoming_pkgs="$(cut -f 1 -d '|' $INCOMING_REPOSITORY/packages.desc)"
    1.33 @@ -1919,7 +1922,8 @@
    1.34  			if [ "$missingpkg" ]; then
    1.35  				echo "Don't move incoming packages to main repository because theses ones needs to be cooked:" >&2
    1.36  				echo "$missingpkg"
    1.37 -				exit 1
    1.38 +				report end-step	
    1.39 +				return 1
    1.40  			fi
    1.41  		fi
    1.42  	fi
    1.43 @@ -3056,7 +3060,13 @@
    1.44  		get_tazwok_config
    1.45  		source_lib report
    1.46  		report start
    1.47 +		[ -f $LOCAL_RESOSITORY/incoming ] && rm [ -f $LOCAL_REPOSITORY/incoming ]
    1.48 +		report step "Checking $INCOMING_REPOSITORY"
    1.49 +		report open-bloc
    1.50 +		report sublog $LOCAL_REPOSITORY/log/incoming.html
    1.51  		check_for_incoming
    1.52 +		report end-sublog
    1.53 +		report close-bloc
    1.54  	;;
    1.55  	configure-chroot)
    1.56  		check_root